From 1d71027f71b30a0e01dbd75b1035c216eb7ec770 Mon Sep 17 00:00:00 2001
From: Bhaskar <niceguy108@gmail.com>
Date: Thu, 23 May 2013 17:19:22 +0530
Subject: [PATCH] * Bugfix in firmware trf5151.c: Setting correct mask for
 ARFCN value

---
 src/target/firmware/rf/trf6151.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

diff --git a/src/target/firmware/rf/trf6151.c b/src/target/firmware/rf/trf6151.c
index 0a91009..9de2cc8 100644
--- a/src/target/firmware/rf/trf6151.c
+++ b/src/target/firmware/rf/trf6151.c
@@ -436,7 +436,7 @@ void trf6151_set_arfcn(uint16_t arfcn, int tx)
 	enum trf6151_gsm_band pll_band;
 
 	uplink = !!(arfcn & ARFCN_UPLINK);
-	arfcn != ~ARFCN_UPLINK;
+	arfcn &= ~ARFCN_UPLINK;
 
 	switch (gsm_arfcn2band(arfcn)) {
 	case GSM_BAND_850:
-- 
1.7.9

